package com.spring.ai.imageclient.configuration;

import org.springframework.ai.image.ImageClient;
import org.springframework.ai.openai.OpenAiImageClient;
import org.springframework.ai.openai.api.OpenAiImageApi;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class OpenAIConfig {

    @Bean
    public ImageClient imageClient(@Value("${spring.ai.openai.api-key}") String apiKey) {
        System.out.println("API Key: " + apiKey);
        System.out.println("Creating OpenAI Image Client");
        return new OpenAiImageClient(new OpenAiImageApi(apiKey));
    }
}
